POST /api/v1/invitations/envelope — Send Invitation by Envelope
Send signing invitations for all signers defined within a specific envelope. This triggers invitation dispatch for all pending signers in the envelope.
Authentication
SadqAuthorize
Request Headers
- Authorization (required)
- Bearer {token}
- Content-Type (required)
- application/json
Query Parameters
- envelopeId (string, required)
- The unique identifier of the envelope.
Request Body
Content-Type: application/json
- envelopeId (GUID, required)
- The unique identifier of the envelope.
- destination (array, required)
- Array of destination objects (same as Send Invitation).
- invitationSubject (string, optional)
- Subject of the invitation email.
- sendUserInvitation (boolean, optional)
- Whether to send invitation to the user.
- customSmsMessage (string, optional)
- Custom SMS message for notifications.
{
"envelopeId": "GUID",
"destinations": [
{
"destinationName": "hussein",
"destinationEmail": "test@gmail.sa",
"destinationPhoneNumber": "",
"signatories": [],
"consentOnly": true,
"authenticationType": 0
}
]
}Responses
HTTP 200 — Invitations sent for envelope
{
"data": true,
"errorCode": 0,
"message": null,
"returnUrl": "/dashboard",
"stateValidationErrors": null,
"signature": ""
}